Package org.apache.sysds.lops.compile.linearization

## Enum ILinearize.DagLinearization

- java.lang.Object
- - java.lang.Enum<ILinearize.DagLinearization>
  - - org.apache.sysds.lops.compile.linearization.ILinearize.DagLinearization

All Implemented Interfaces:
  `Serializable`, `Comparable<ILinearize.DagLinearization>`

Enclosing interface:
  ILinearize

    public static enum ILinearize.DagLinearization
    extends Enum<ILinearize.DagLinearization>

### Enum Constant Summary

Enum Constants
`BREADTH_FIRST`
`DEPTH_FIRST`
`MIN_INTERMEDIATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ILinearize.DagLinearization` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ILinearize.DagLinearization[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEPTH_FIRST

    public static final ILinearize.DagLinearization DEPTH_FIRST

#### BREADTH_FIRST

    public static final ILinearize.DagLinearization BREADTH_FIRST

#### MIN_INTERMEDIATE

    public static final ILinearize.DagLinearization MIN_INTERMEDIATE

### Method Detail

#### values

    public static ILinearize.DagLinearization[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ILinearize.DagLinearization c : ILinearize.DagLinearization.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ILinearize.DagLinearization valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null